Debian Bug report logs - #344124
fontforge: Should no longer Build-Depend on xlibs-dev

version graph

Package: fontforge; Maintainer for fontforge is Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>; Source for fontforge is src:fontforge.

Reported by: Christian Perrier <bubulle@debian.org>

Date: Tue, 20 Dec 2005 08:33:02 UTC

Severity: serious

Tags: fixed, patch

Found in version fontforge/0.0.20050911-1

Fixed in version fontforge/0.0.20060430-1

Done: Kęstutis Biliūnas <kebil@kaunas.init.lt>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-x@lists.debian.org, Chanop Silpa-Anan <chanop@debian.org>:
Bug#344124; Package fontforge. Full text and rfc822 format available.

Acknowledgement sent to Christian Perrier <bubulle@debian.org>:
New Bug report received and forwarded. Copy sent to debian-x@lists.debian.org, Chanop Silpa-Anan <chanop@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Christian Perrier <bubulle@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: fontforge: Should no longer Build-Depend on xlibs-dev
Date: Tue, 20 Dec 2005 09:23:02 +0100
[Message part 1 (text/plain, inline)]
Package: fontforge
Version: 0.0.20050911-1
Severity: important
Tags: patch

As announced in
http://lists.debian.org/debian-devel-announce/2005/11/msg00022.html, the
xlibs-dev package is scheduled for removal and X devel libraries will be
splitted in several packages.

Running the script proposed by David Nusinow at
http://people.debian.org/~dnusinow/xlibs-split-2005-11-15.tar-bz2 gives the
list of the new packages are supposedly required to build fontforge.

Please note that I DID NOT DO ANY FURTHER CHECK. So the attached patch
should be double-checked by using pbuilder, as suggested.

I tagged this as important because this issue requires the maintainer's
attention now. When xlibs-dev will be removed, that bug should be upgraded
to serious and turned into a FTBFS bug.


-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'stable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.13-1-686
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)

Versions of packages fontforge depends on:
ii  libc6                    2.3.5-9         GNU C Library: Shared libraries an
ii  libfreetype6             2.1.10-1        FreeType 2 font engine, shared lib
ii  libice6                  6.8.2.dfsg.1-11 Inter-Client Exchange library
ii  libjpeg62                6b-10           The Independent JPEG Group's JPEG 
ii  libpng12-0               1.2.8rel-5      PNG library - runtime
ii  libsm6                   6.8.2.dfsg.1-11 X Window System Session Management
ii  libtiff4                 3.7.4-1         Tag Image File Format (TIFF) libra
ii  libungif4g               4.1.4-1         shared library for GIF images (run
ii  libx11-6                 6.8.2.dfsg.1-11 X Window System protocol client li
ii  libxi6                   6.8.2.dfsg.1-11 X Window System Input extension li
ii  libxkbui1                6.8.2.dfsg.1-11 X Keyboard Extension user interfac
ii  libxml2                  2.6.22-2        GNOME XML library
ii  zlib1g                   1:1.2.3-8       compression library - runtime

fontforge recommends no packages.

-- no debconf information
[patch (text/plain, attachment)]

Severity set to `serious'. Request was from "Kevin B. McCarty" <kmccarty@Princeton.EDU> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Chanop Silpa-Anan <chanop@debian.org>:
Bug#344124; Package fontforge. Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to Chanop Silpa-Anan <chanop@debian.org>. Full text and rfc822 format available.

Message #12 received at 344124@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: 344124@bugs.debian.org, 344124-submitter@bugs.debian.org
Subject: Re: fontforge: Should no longer Build-Depend on xlibs-dev
Date: Mon, 9 Jan 2006 04:31:23 -0800
[Message part 1 (text/plain, inline)]
tags 344124 fixed
thanks

Apparently this bug was already fixed in 0.0.20051205-0.1, but the bug was
not mentioned in the changelog.

Thanks,
-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
vorlon@debian.org                                   http://www.debian.org/
[signature.asc (application/pgp-signature, inline)]

Tags added: fixed Request was from Steve Langasek <vorlon@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Message sent on to Christian Perrier <bubulle@debian.org>:
Bug#344124. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Chanop Silpa-Anan <chanop@debian.org>:
Bug#344124; Package fontforge. Full text and rfc822 format available.

Acknowledgement sent to Christian Perrier <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to Chanop Silpa-Anan <chanop@debian.org>. Full text and rfc822 format available.

Message #22 received at 344124@bugs.debian.org (full text, mbox):

From: Christian Perrier <bubulle@debian.org>
To: Steve Langasek <vorlon@debian.org>, 344124@bugs.debian.org
Cc: 344124-submitter@bugs.debian.org
Subject: Re: Bug#344124: fontforge: Should no longer Build-Depend on xlibs-dev
Date: Mon, 9 Jan 2006 18:02:40 +0100
Quoting Steve Langasek (vorlon@debian.org):
> tags 344124 fixed
> thanks
> 
> Apparently this bug was already fixed in 0.0.20051205-0.1, but the bug was
> not mentioned in the changelog.

/me beats self with a clue bat. I was preparing the NMU when I noticed
the annoucement of the migration. Then I made the requested
change....and was probably interrupted by something else, forgetting
to mention the fix in the changelog





Message sent on to Christian Perrier <bubulle@debian.org>:
Bug#344124. Full text and rfc822 format available.

Reply sent to Kęstutis Biliūnas <kebil@kaunas.init.lt>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Christian Perrier <bubulle@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #30 received at 344124-close@bugs.debian.org (full text, mbox):

From: Kęstutis Biliūnas <kebil@kaunas.init.lt>
To: 344124-close@bugs.debian.org
Subject: Bug#344124: fixed in fontforge 0.0.20060430-1
Date: Wed, 03 May 2006 01:47:06 -0700
Source: fontforge
Source-Version: 0.0.20060430-1

We believe that the bug you reported is fixed in the latest version of
fontforge, which is due to be installed in the Debian FTP archive:

fontforge-doc_0.0.20060430-1_all.deb
  to pool/main/f/fontforge/fontforge-doc_0.0.20060430-1_all.deb
fontforge_0.0.20060430-1.diff.gz
  to pool/main/f/fontforge/fontforge_0.0.20060430-1.diff.gz
fontforge_0.0.20060430-1.dsc
  to pool/main/f/fontforge/fontforge_0.0.20060430-1.dsc
fontforge_0.0.20060430-1_i386.deb
  to pool/main/f/fontforge/fontforge_0.0.20060430-1_i386.deb
fontforge_0.0.20060430.orig.tar.gz
  to pool/main/f/fontforge/fontforge_0.0.20060430.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 344124@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Kęstutis Biliūnas <kebil@kaunas.init.lt> (supplier of updated fontforge package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Mon,  1 May 2006 10:25:00 +0300
Source: fontforge
Binary: fontforge-doc fontforge
Architecture: source i386 all
Version: 0.0.20060430-1
Distribution: unstable
Urgency: low
Maintainer: Kęstutis Biliūnas <kebil@kaunas.init.lt>
Changed-By: Kęstutis Biliūnas <kebil@kaunas.init.lt>
Description: 
 fontforge  - Font Editor for PS, TrueType and OpenType fonts
 fontforge-doc - Documentation for FontForge
Closes: 316892 328217 333548 336056 342180 344124 357867 361107 361289 362300 362315 365103
Changes: 
 fontforge (0.0.20060430-1) unstable; urgency=low
 .
   * New maintainer (Closes: #357867).
   * New upstream release (Closes: #328217, #316892, #361107, #365103).
   * Removed libuninameslist_src-*.tgz from the tarball, because this
     source not carry any sense here.
   * debian/compat: use DH_COMPAT 5
   * debian/rules:
     - re-organized debian/patches for using quilt.
     - added DEB_BUILD_OPTIONS=noopt (Closes: #361289).
     - removed the option --with-regular-link from configure stage.
     - use 'make -C <dir>' and 'set -e' instead of the brackets. Thanks
       to Matthias Klose <doko@cs.tu-berlin.de> for the suggestion
       (Closes: #362300).
   * debian/control:
     - changed Build-Depends on debhelper (>= 5.0.0).
     - bumped Standards-Version to 3.7.0. No changes required.
     - changed Build-Depends from libpng3-dev to libpng12-dev, because
       libpng3-dev is going away.
     - added Build-Depends on libxml2-dev for parse SVG files and fonts.
     - changed Build-Depends from xlibs-dev to libxt-dev (Closes: #344124).
     - the libraries libfreetype6, libjpeg62, libpng12-0, libtiff4, libungif4g,
       libuninameslist0, libxml2 and zlib1g added to Recommends.
     - changed the fontforge-doc package description (Closes: #336056).
     - added Build-Depends on libuninameslist-dev for displaying Unicode
       Name Annotations.
     - added homepage URL to fontforge package description.
     - removed pfaedit, a migration package for FontForge.
     - switch from using patch to quilt.
     - changed section for fontforge-doc package to docs.
   * Documented how to use the quilt in debian/README.
   * debian/patches:
     - fixed the patch 005_x_www_browser.diff. Thanks to Daniel Kahn
       Gillmor  <dkg-debian.org@fifthhorseman.net> for the patch
       (Closes: #333548).
     - removed the patches 001_fix_gdraw.diff, 002_fix_gdraw_part_2.diff and
       004_kill_rpatch_on_binaries.diff. Unnecessary any more.
     - added patch 900_debian_HelpDir_path.diff for fixing the path to
       ../doc/fontforge/html/ files.
   * Fixed debian/watch file. Thanks to Daniel Kahn Gillmor
     <dkg-debian.org@fifthhorseman.net> for the patch (Closes: #342180).
   * debian/copyright: more complete copyright file.
   * Added the icon file debian/ffanvil32.xpm and changed the menu entries in
     debian/menu file. Added the menu entry for the Mensis program.
   * Add desktop file (Closes: #362315).
   * Added and installed files: fontforge.lintian-override,
     fontforge.linda-override and fontforge-doc.linda-override.
Files: 
 ffa41f7502bd9cce8886cdbe1fc3e355 915 x11 optional fontforge_0.0.20060430-1.dsc
 00605872c92a15821f2f37c7c856d7c6 6077726 x11 optional fontforge_0.0.20060430.orig.tar.gz
 8adb75bcbdada4315f612ee2457f7e5d 11731 x11 optional fontforge_0.0.20060430-1.diff.gz
 2742ecdfc8f6c2bcff7ce58795e8328c 3694620 x11 optional fontforge_0.0.20060430-1_i386.deb
 a86711b596f0de0fbc669396ccacf757 2246076 doc optional fontforge-doc_0.0.20060430-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.3 (GNU/Linux)

iD8DBQFEWFnx1OXtrMAUPS0RAlRnAJ44nQqnzJaNTTKtJ+NdsICwEmFRqwCeMSAu
b18BwnDvyFgYxNVXo059WyU=
=ZSDB
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 24 Jun 2007 22:37:40 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 11:10:32 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.